Upstream information

CVE-2021-20284 at MITRE

Description

A flaw was found in GNU Binutils 2.35.1, where there is a heap-based buffer overflow in _bfd_elf_slurp_secondary_reloc_section in elf.c due to the number of symbols not calculated correctly. The highest threat from this vulnerability is to system availability.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 4.7
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
Access Vector Local Local
Access Complexity Low High
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1183511 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container bci/golang:1.16
Container bci/golang:1.17
Container bci/ruby:2.5
Container ses/6/cephcsi/cephcsi:1.2.0.0.1.5.494
Container ses/6/rook/ceph:1.1.1.0.1.5.486
Container ses/7/cephcsi/cephcsi:3.3.1.0.3.670
  • binutils >= 2.37-7.21.2
  • libctf-nobfd0 >= 2.37-7.21.2
  • libctf0 >= 2.37-7.21.2
HPE Helion Openstack 8
  • binutils >= 2.37-9.39.1
  • binutils-devel >= 2.37-9.39.1
  • libctf-nobfd0 >= 2.37-9.39.1
  • libctf0 >= 2.37-9.39.1
Patchnames:
HPE-Helion-OpenStack-8-2021-3593
SUSE CaaS Platform 4.0
  • binutils >= 2.37-7.21.2
  • binutils-devel >= 2.37-7.21.2
  • binutils-devel-32bit >= 2.37-7.21.2
  • libctf-nobfd0 >= 2.37-7.21.2
  • libctf0 >= 2.37-7.21.2
Patchnames:
SUSE-SUSE-CAASP-4.0-2021-3616
SUSE Enterprise Storage 6
  • binutils >= 2.37-7.21.2
  • binutils-devel >= 2.37-7.21.2
  • binutils-devel-32bit >= 2.37-7.21.2
  • libctf-nobfd0 >= 2.37-7.21.2
  • libctf0 >= 2.37-7.21.2
Patchnames:
SUSE-Storage-6-2021-3616
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • binutils >= 2.37-7.21.2
  • binutils-devel >= 2.37-7.21.2
  • binutils-devel-32bit >= 2.37-7.21.2
  • libctf-nobfd0 >= 2.37-7.21.2
  • libctf0 >= 2.37-7.21.2
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-3616
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • binutils >= 2.37-7.21.2
  • binutils-devel >= 2.37-7.21.2
  • binutils-devel-32bit >= 2.37-7.21.2
  • libctf-nobfd0 >= 2.37-7.21.2
  • libctf0 >= 2.37-7.21.2
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-3616
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • binutils >= 2.37-7.21.2
  • binutils-devel >= 2.37-7.21.2
  • libctf-nobfd0 >= 2.37-7.21.2
  • libctf0 >= 2.37-7.21.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2021-3616
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • binutils >= 2.37-7.21.2
  • binutils-devel >= 2.37-7.21.2
  • libctf-nobfd0 >= 2.37-7.21.2
  • libctf0 >= 2.37-7.21.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2021-3616
SUSE Linux Enterprise Module for Development Tools 15 SP2
  • binutils-devel-32bit >= 2.37-7.21.2
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP2-2021-3616
SUSE Linux Enterprise Module for Development Tools 15 SP3
  • binutils-devel-32bit >= 2.37-7.21.2
  • bpftrace >= 0.11.4-3.2.1
  • bpftrace-tools >= 0.11.4-3.2.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2021-3616
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP2
  • binutils-gold >= 2.37-7.21.2
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP2-2021-3616
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP3
  • binutils-gold >= 2.37-7.21.2
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2021-3616
SUSE Linux Enterprise Server 12 SP2-BCL
  • binutils >= 2.37-9.39.1
  • binutils-devel >= 2.37-9.39.1
  • libctf-nobfd0 >= 2.37-9.39.1
  • libctf0 >= 2.37-9.39.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2021-3593
SUSE Linux Enterprise Server 12 SP3-BCL
  • binutils >= 2.37-9.39.1
  • binutils-devel >= 2.37-9.39.1
  • libctf-nobfd0 >= 2.37-9.39.1
  • libctf0 >= 2.37-9.39.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2021-3593
SUSE Linux Enterprise Server 12 SP3-ESPOS
  • binutils >= 2.37-9.39.1
  • binutils-devel >= 2.37-9.39.1
  • libctf-nobfd0 >= 2.37-9.39.1
  • libctf0 >= 2.37-9.39.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2021-3593
SUSE Linux Enterprise Server 12 SP3-LTSS
  • binutils >= 2.37-9.39.1
  • binutils-devel >= 2.37-9.39.1
  • libctf-nobfd0 >= 2.37-9.39.1
  • libctf0 >= 2.37-9.39.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2021-3593
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • binutils >= 2.37-9.39.1
  • binutils-devel >= 2.37-9.39.1
  • libctf-nobfd0 >= 2.37-9.39.1
  • libctf0 >= 2.37-9.39.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2021-3593
SUSE Linux Enterprise Server 12 SP4-LTSS
  • binutils >= 2.37-9.39.1
  • binutils-devel >= 2.37-9.39.1
  • libctf-nobfd0 >= 2.37-9.39.1
  • libctf0 >= 2.37-9.39.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2021-3593
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • binutils >= 2.37-9.39.1
  • binutils-devel >= 2.37-9.39.1
  • libctf-nobfd0 >= 2.37-9.39.1
  • libctf0 >= 2.37-9.39.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2021-3593
SUSE Linux Enterprise Server 15 SP1-BCL
  • binutils >= 2.37-7.21.2
  • binutils-devel >= 2.37-7.21.2
  • binutils-devel-32bit >= 2.37-7.21.2
  • libctf-nobfd0 >= 2.37-7.21.2
  • libctf0 >= 2.37-7.21.2
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-3616
SUSE Linux Enterprise Server 15 SP1-LTSS
  • binutils >= 2.37-7.21.2
  • binutils-devel >= 2.37-7.21.2
  • binutils-devel-32bit >= 2.37-7.21.2
  • libctf-nobfd0 >= 2.37-7.21.2
  • libctf0 >= 2.37-7.21.2
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-3616
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • binutils >= 2.37-9.39.1
  • binutils-devel >= 2.37-9.39.1
  • libctf-nobfd0 >= 2.37-9.39.1
  • libctf0 >= 2.37-9.39.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2021-3593
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • binutils >= 2.37-9.39.1
  • binutils-devel >= 2.37-9.39.1
  • libctf-nobfd0 >= 2.37-9.39.1
  • libctf0 >= 2.37-9.39.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2021-3593
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • binutils >= 2.37-7.21.2
  • binutils-devel >= 2.37-7.21.2
  • binutils-devel-32bit >= 2.37-7.21.2
  • libctf-nobfd0 >= 2.37-7.21.2
  • libctf0 >= 2.37-7.21.2
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-3616
SUSE Linux Enterprise Software Development Kit 12 SP5
  • binutils-devel >= 2.37-9.39.1
  • binutils-gold >= 2.37-9.39.1
  • cross-ppc-binutils >= 2.37-9.39.1
  • cross-spu-binutils >= 2.37-9.39.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2021-3593
SUSE OpenStack Cloud 8
  • binutils >= 2.37-9.39.1
  • binutils-devel >= 2.37-9.39.1
  • libctf-nobfd0 >= 2.37-9.39.1
  • libctf0 >= 2.37-9.39.1
Patchnames:
SUSE-OpenStack-Cloud-8-2021-3593
SUSE OpenStack Cloud 9
  • binutils >= 2.37-9.39.1
  • binutils-devel >= 2.37-9.39.1
  • libctf-nobfd0 >= 2.37-9.39.1
  • libctf0 >= 2.37-9.39.1
Patchnames:
SUSE-OpenStack-Cloud-9-2021-3593
SUSE OpenStack Cloud Crowbar 8
  • binutils >= 2.37-9.39.1
  • binutils-devel >= 2.37-9.39.1
  • libctf-nobfd0 >= 2.37-9.39.1
  • libctf0 >= 2.37-9.39.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2021-3593
SUSE OpenStack Cloud Crowbar 9
  • binutils >= 2.37-9.39.1
  • binutils-devel >= 2.37-9.39.1
  • libctf-nobfd0 >= 2.37-9.39.1
  • libctf0 >= 2.37-9.39.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2021-3593
openSUSE Leap 15.2
  • binutils >= 2.37-lp152.4.9.1
  • binutils-devel >= 2.37-lp152.4.9.1
  • binutils-devel-32bit >= 2.37-lp152.4.9.1
  • binutils-gold >= 2.37-lp152.4.9.1
  • bpftrace >= 0.11.4-lp152.2.7.1
  • bpftrace-tools >= 0.11.4-lp152.2.7.1
  • cross-aarch64-binutils >= 2.37-lp152.4.9.1
  • cross-arm-binutils >= 2.37-lp152.4.9.1
  • cross-avr-binutils >= 2.37-lp152.4.9.1
  • cross-epiphany-binutils >= 2.37-lp152.4.9.1
  • cross-hppa-binutils >= 2.37-lp152.4.9.1
  • cross-hppa64-binutils >= 2.37-lp152.4.9.1
  • cross-i386-binutils >= 2.37-lp152.4.9.1
  • cross-ia64-binutils >= 2.37-lp152.4.9.1
  • cross-m68k-binutils >= 2.37-lp152.4.9.1
  • cross-mips-binutils >= 2.37-lp152.4.9.1
  • cross-ppc-binutils >= 2.37-lp152.4.9.1
  • cross-ppc64-binutils >= 2.37-lp152.4.9.1
  • cross-ppc64le-binutils >= 2.37-lp152.4.9.1
  • cross-riscv64-binutils >= 2.37-lp152.4.9.1
  • cross-rx-binutils >= 2.37-lp152.4.9.1
  • cross-s390-binutils >= 2.37-lp152.4.9.1
  • cross-s390x-binutils >= 2.37-lp152.4.9.1
  • cross-sparc-binutils >= 2.37-lp152.4.9.1
  • cross-sparc64-binutils >= 2.37-lp152.4.9.1
  • cross-spu-binutils >= 2.37-lp152.4.9.1
  • cross-xtensa-binutils >= 2.37-lp152.4.9.1
  • libctf-nobfd0 >= 2.37-lp152.4.9.1
  • libctf0 >= 2.37-lp152.4.9.1
Patchnames:
openSUSE-2021-1475
openSUSE Leap 15.3
  • binutils >= 2.37-7.21.2
  • binutils-devel >= 2.37-7.21.2
  • binutils-devel-32bit >= 2.37-7.21.2
  • binutils-gold >= 2.37-7.21.2
  • bpftrace >= 0.11.4-3.2.1
  • bpftrace-tools >= 0.11.4-3.2.1
  • cross-aarch64-binutils >= 2.37-7.21.1
  • cross-arm-binutils >= 2.37-7.21.1
  • cross-avr-binutils >= 2.37-7.21.1
  • cross-epiphany-binutils >= 2.37-7.21.1
  • cross-hppa-binutils >= 2.37-7.21.1
  • cross-hppa64-binutils >= 2.37-7.21.1
  • cross-i386-binutils >= 2.37-7.21.1
  • cross-ia64-binutils >= 2.37-7.21.1
  • cross-m68k-binutils >= 2.37-7.21.1
  • cross-mips-binutils >= 2.37-7.21.1
  • cross-ppc-binutils >= 2.37-7.21.1
  • cross-ppc64-binutils >= 2.37-7.21.1
  • cross-ppc64le-binutils >= 2.37-7.21.1
  • cross-riscv64-binutils >= 2.37-7.21.1
  • cross-rx-binutils >= 2.37-7.21.1
  • cross-s390-binutils >= 2.37-7.21.1
  • cross-s390x-binutils >= 2.37-7.21.1
  • cross-sparc-binutils >= 2.37-7.21.1
  • cross-sparc64-binutils >= 2.37-7.21.1
  • cross-spu-binutils >= 2.37-7.21.1
  • cross-x86_64-binutils >= 2.37-7.21.1
  • libctf-nobfd0 >= 2.37-7.21.2
  • libctf0 >= 2.37-7.21.2
Patchnames:
openSUSE-SLE-15.3-2021-3616
openSUSE Tumbleweed
  • binutils >= 2.37-1.3
  • binutils-devel >= 2.37-1.3
  • binutils-devel-32bit >= 2.37-1.3
  • binutils-gold >= 2.37-1.3
  • libctf-nobfd0 >= 2.37-1.3
  • libctf0 >= 2.37-1.3
Patchnames:
openSUSE Tumbleweed GA binutils-2.37-1.3


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 binutils Released
SUSE CaaS Platform 4.0 binutils Released
SUSE CaaS Platform 4.5 binutils Released
SUSE Enterprise Storage 6 binutils Released
SUSE Enterprise Storage 7 binutils Released
SUSE Linux Enterprise High Performance Computing 12 SP5 binutils Released
SUSE Linux Enterprise High Performance Computing 15 LTSS binutils Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS binutils Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS binutils Released
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS binutils Released
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS binutils Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 binutils Released
SUSE Linux Enterprise Module for Basesystem 15 SP3 binutils Released
SUSE Linux Enterprise Module for Development Tools 15 SP2 binutils Released
SUSE Linux Enterprise Module for Development Tools 15 SP3 binutils In progress
SUSE Linux Enterprise Point of Service 11 SP3 binutils Unsupported
SUSE Linux Enterprise Point of Service Image Server 12 SP2 binutils Affected
SUSE Linux Enterprise Server 11 SP1 binutils Not affected
SUSE Linux Enterprise Server 11 SP3 binutils Not affected
SUSE Linux Enterprise Server 11 SP4 binutils Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS binutils Not affected
SUSE Linux Enterprise Server 12 SP2 BCL binutils Released
SUSE Linux Enterprise Server 12 SP2 ESPOS binutils Affected
SUSE Linux Enterprise Server 12 SP2 LTSS binutils Unsupported
SUSE Linux Enterprise Server 12 SP3 BCL binutils Released
SUSE Linux Enterprise Server 12 SP3 ESPOS binutils Released
SUSE Linux Enterprise Server 12 SP3 LTSS binutils Released
SUSE Linux Enterprise Server 12 SP4 ESPOS binutils Released
SUSE Linux Enterprise Server 12 SP4 LTSS binutils Released
SUSE Linux Enterprise Server 12 SP5 binutils Released
SUSE Linux Enterprise Server 15 ESPOS binutils Affected
SUSE Linux Enterprise Server 15 LTSS binutils Affected
SUSE Linux Enterprise Server 15 SP1 LTSS binutils Released
SUSE Linux Enterprise Server 15 SP2 LTSS binutils Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 binutils Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 binutils Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 binutils In progress
SUSE Linux Enterprise Server for SAP Applications 15 binutils Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 binutils Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 binutils Released
SUSE Linux Enterprise Software Development Kit 12 SP5 binutils Released
SUSE Manager Proxy 4.0 binutils Affected
SUSE Manager Proxy 4.1 binutils Released
SUSE Manager Retail Branch Server 4.0 binutils Affected
SUSE Manager Retail Branch Server 4.1 binutils Released
SUSE Manager Server 4.0 binutils Affected
SUSE Manager Server 4.1 binutils Released
SUSE OpenStack Cloud 7 binutils Affected
SUSE OpenStack Cloud 8 binutils Released
SUSE OpenStack Cloud 9 binutils Released
SUSE OpenStack Cloud Crowbar 8 binutils Released
SUSE OpenStack Cloud Crowbar 9 binutils Released
SUSE Package Hub 15 binutils Unsupported
SUSE Package Hub 15 SP1 binutils Released
SUSE Package Hub 15 SP2 binutils Released
SUSE Package Hub 15 SP3 binutils Released
bci/golang:1.16
bci/golang:1.17
bci/ruby:2.5
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
ses/7/cephcsi/cephcsi
binutilsReleased
ses/7/ceph/ceph
ses/7/rook/ceph
binutilsIn progress